## r-cran-bradleyterry2 1.0

=== DESCRIPTION ===
Package: BradleyTerry2
Version: 1.0-6
Date: 2015-02-06
Title: Bradley-Terry Models
Author: Heather Turner and David Firth
Maintainer: Heather Turner <ht@heatherturner.net>
URL: http://bradleyterry2.r-forge.r-project.org
Description: Specify and fit the Bradley-Terry model, including structured versions in which the parameters are related to explanatory variables through a linear predictor and versions with contest-specific effects, such as a home advantage.
Depends: R (>= 2.10), lme4 (>= 1.0)
Imports: brglm, gtools, stats
Suggests: prefmod
Enhances: gnm
License: GPL (>= 2)
LazyData: yes
NeedsCompilation: no
Packaged: 2015-02-08 17:20:14 UTC; heather
Repository: CRAN
Date/Publication: 2015-02-09 01:15:34

## r-cran-bradleyterry2 1.0-6

=== debian/changelog ===
r-cran-bradleyterry2 (1.0-6-1) unstable; urgency=low

  * Initial release (Closes: #792533)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 13 Jul 2015 20:58:29 +0200

=== debian/control ===
Source: r-cran-bradleyterry2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: gnu-r
Priority: optional
Build-Depends: r-base-dev, r-cran-lme4, r-cran-brglm, r-cran-gtools,
 r-cran-nloptr, r-base-core, debhelper (>= 9), cdbs
Standards-Version: 3.9.6
Homepage: http://bradleyterry2.r-forge.r-project.org

Package: r-cran-bradleyterry2
Architecture: all
Depends: r-base-core, r-cran-lme4, r-cran-brglm, r-cran-gtools,
 ${R:Depends}
Description: GNU R package for using Bradley-Terry models
 Specify and fit the Bradley-Terry model, including structured versions
 in which the parameters are related to explanatory variables through a
 linear predictor and versions with contest-specific effects, such as a
 home advantage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/BradleyTerry2_([\d\.-]*).tar.gz

## r-cran-bradleyterry2 1.0-8

=== debian/changelog ===
r-cran-bradleyterry2 (1.0-8-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 1.0-8
  * Add Build-Depends on r-cran-qvcalc.
  * Remove unneeded Build-Depends on r-cran-nloptr.
  * Convert to dh-r.
  * d/watch: bump to file format version 4.
  * d/copyright: use secure URL for Format, fix license short name.
  * Bump to debhelper compat level 10.
  * Use canonical CRAN homepage.
  * Add autopkgtest unit tests.
  * Bump Standards-Version to 4.1.1.
  * Add README.source documenting *.rda files.
  * d/rules: workaround for wrong permissions in upstream tarball.

  [ Balint Reczey ]
  * Add packaging repository URLs

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Sep 2017 23:09:05 +0200

=== debian/control ===
Source: r-cran-bradleyterry2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: gnu-r
Priority: optional
Build-Depends: dh-r,
               r-cran-lme4,
               r-cran-brglm,
               r-cran-gtools,
               r-cran-qvcalc,
               r-base-core,
               debhelper (>= 10)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-bradleyterry2.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-bradleyterry2.git
Homepage: https://cran.r-project.org/package=BradleyTerry2

Package: r-cran-bradleyterry2
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for using Bradley-Terry models
 Specify and fit the Bradley-Terry model, including structured versions
 in which the parameters are related to explanatory variables through a
 linear predictor and versions with contest-specific effects, such as a
 home advantage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# Workaround for wrong permissions in upstream tarball (needed as of 1.0-8 upstream release)
override_dh_fixperms:
	dh_fixperms
	chmod -x debian/r-cran-bradleyterry2/usr/lib/R/site-library/BradleyTerry2/CITATION \
		 debian/r-cran-bradleyterry2/usr/lib/R/site-library/BradleyTerry2/doc/BradleyTerry.Rnw

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/BradleyTerry2_([\d\.-]*).tar.gz

## r-cran-bradleyterry2 1.1

=== DESCRIPTION ===
Package: BradleyTerry2
Version: 1.1-2
Title: Bradley-Terry Models
Authors@R: c(person("Heather", "Turner", role = c("aut", "cre"),
                    email = "ht@heatherturner.net"),
             person("David", "Firth", role = "aut"))
URL: https://github.com/hturner/BradleyTerry2
BugReports: https://github.com/hturner/BradleyTerry2/issues
Description: Specify and fit the Bradley-Terry model, including structured versions in which the parameters are related to explanatory variables through a linear predictor and versions with contest-specific effects, such as a home advantage.
Depends: R (>= 2.10)
Imports: brglm, gtools, lme4 (>= 1.0), qvcalc, stats
Suggests: prefmod, testthat
Enhances: gnm
License: GPL (>= 2)
LazyData: yes
Encoding: UTF-8
RoxygenNote: 7.0.2
Language: en-GB
NeedsCompilation: no
Packaged: 2020-02-02 14:39:13 UTC; hturner
Author: Heather Turner [aut, cre],
  David Firth [aut]
Maintainer: Heather Turner <ht@heatherturner.net>
Repository: CRAN
Date/Publication: 2020-02-03 13:50:04 UTC

## r-cran-bradleyterry2 1.1-0

=== debian/changelog ===
r-cran-bradleyterry2 (1.1-0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Bálint does not manage to keep on maintaining this package

  [ Dylan Aïssi ]
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 11:49:59 +0200

r-cran-bradleyterry2 (1.0-8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 17:16:20 +0200

=== debian/control ===
Source: r-cran-bradleyterry2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-brglm,
               r-cran-gtools,
               r-cran-lme4,
               r-cran-qvcalc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bradleyterry2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bradleyterry2.git
Homepage: https://cran.r-project.org/package=BradleyTerry2

Package: r-cran-bradleyterry2
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for using Bradley-Terry models
 Specify and fit the Bradley-Terry model, including structured versions
 in which the parameters are related to explanatory variables through a
 linear predictor and versions with contest-specific effects, such as a
 home advantage.

## r-cran-bradleyterry2 1.1-2

=== debian/changelog ===
r-cran-bradleyterry2 (1.1-2-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 09:47:41 +0200

r-cran-bradleyterry2 (1.1-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Test-Depends: r-cran-testthat
  * Fix autopkgtest
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Tue, 04 Feb 2020 12:08:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-brglm,
                r-cran-gtools,
                r-cran-lme4,
                r-cran-qvcalc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bradleyterry2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bradleyterry2.git
 Homepage: https://cran.r-project.org/package=BradleyTerry2
+Rules-Requires-Root: no
 
 Package: r-cran-bradleyterry2
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/BradleyTerry2_([\d\.-]*).tar.gz

## r-cran-bradleyterry2 1.1.3

=== DESCRIPTION ===
Package: BradleyTerry2
Title: Bradley-Terry Models
Version: 1.1.3
Authors@R: c(
    person("Heather", "Turner", , "ht@heatherturner.net", role = c("aut", "cre")),
    person("David", "Firth", role = "aut")
  )
Description: Specify and fit the Bradley-Terry model, including structured
    versions in which the parameters are related to explanatory variables
    through a linear predictor and versions with contest-specific effects,
    such as a home advantage.
License: GPL (>= 2)
URL: https://github.com/hturner/BradleyTerry2
BugReports: https://github.com/hturner/BradleyTerry2/issues
Depends: R (>= 2.10)
Imports: brglm, gtools, lme4 (>= 1.0), qvcalc, stats
Suggests: bookdown, knitr, litedown, prefmod, testthat
Enhances: gnm
VignetteBuilder: knitr, litedown
Encoding: UTF-8
Language: en-GB
LazyData: yes
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-04-10 10:20:56 UTC; stspao
Author: Heather Turner [aut, cre],
  David Firth [aut]
Maintainer: Heather Turner <ht@heatherturner.net>
Repository: CRAN
Date/Publication: 2025-04-10 19:20:44 UTC

=== debian/changelog ===
r-cran-bradleyterry2 (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Standards-Version: 4.7.3 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 14:16:45 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-brglm,
                r-cran-gtools,
                r-cran-lme4,
-               r-cran-qvcalc
-Standards-Version: 4.5.0
+               r-cran-qvcalc,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bradleyterry2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bradleyterry2.git
 Homepage: https://cran.r-project.org/package=BradleyTerry2

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bookdown,
        r-cran-knitr,
        r-cran-testthat
Restrictions: allow-stderr
